#pragma once
#include "Entity.h"
//Bite伤害区
class CS_PuppyBiteBlade :
    public Entity
{
public:
    CS_PuppyBiteBlade(std::shared_ptr<Entity> parent);
    void Step() override;
    std::weak_ptr<Entity> BeginCaught(std::weak_ptr<Entity> e) override;//开始被某单位抓取
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
};

